//
// UpdateUserLocationRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct UpdateUserLocationRequest: Codable, JSONEncodable, Hashable {

    public var locationVerified: Bool?
    public var location: Location?
    public var searchRadius: Int?
    public var searchCity: String?

    public init(locationVerified: Bool? = nil, location: Location? = nil, searchRadius: Int? = nil, searchCity: String? = nil) {
        self.locationVerified = locationVerified
        self.location = location
        self.searchRadius = searchRadius
        self.searchCity = searchCity
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case locationVerified
        case location
        case searchRadius
        case searchCity
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(locationVerified, forKey: .locationVerified)
        try container.encodeIfPresent(location, forKey: .location)
        try container.encodeIfPresent(searchRadius, forKey: .searchRadius)
        try container.encodeIfPresent(searchCity, forKey: .searchCity)
    }
}

